/*
Copyright (C) 1996-1997 Id Software, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
// gl_corona.h

// glow generation code
#define MAX_GLOWS 2048

typedef struct glows_s
{
	float	 red;
	float	 green;
	float	 blue;
	float	 radius;
	vec3_t	 origin;
} glows_t;

glows_t glow_effects[MAX_GLOWS];

void R_AddGlowEffect (float red, float green, float blue, float radius, vec3_t origin);
void R_RenderGlowEffects (void);
